class SchoolsController < ApplicationController
  def school_list
    schools = School.all

    search = params[:search].to_s.strip
    if search.present?
      schools = schools.where('name Like ?', "%#{search}%")
    end

    render_ok(school_names: schools.pluck(:name))
  end

  def for_option
    schools = School.all
    keyword = params[:keyword].to_s.strip
    schools = schools.where('name LIKE ?', "%#{keyword}%") if keyword
    render_ok(schools: schools.select(:id, :name).as_json)
  end

  def search
    schools = School.all
    keyword = params[:keyword].to_s.strip
    schools = schools.where('name LIKE ?', "%#{keyword}%") if keyword

    schools = paginate(schools)
    render_ok(schools: schools.as_json(only: %i[id name province]))
  end
end
